<template>
  <div class="liste">
    <h1>Création d'une nouvelle liste</h1>
    <form @submit="SaveNewListe()" action="/new">
        <fieldset>
            <dl>
                <dt><label for="idNom">Nom de la liste :</label></dt>
                <dd> <input type="text" id="idNom" placeholder="Liste de course" required v-model="nom"></dd>
            </dl>
            <dl>
                <dt><label for="idDescription">Description (Optionnel) :</label></dt>
                <dd><input type="text" id="idDescription" placeholder="Liste pour mes courses à auchan" v-model="description"></dd>
            </dl>
        </fieldset>   
        <button type="submit">Enregister</button>
    </form>
  </div>
</template>


<script>

export default {
  name: "App",
   data: () => {
    return {  
      nom: '',
      description : ''
    };
  },
  methods: {
    SaveNewListe: function () {
      
      if(!localStorage.getItem('listes')){
          localStorage.setItem("listes", JSON.stringify([{id:1, nom: this.nom, description : this.description}]))
      }
      else{
        const lastItem = JSON.parse(localStorage.getItem("listes")).pop();
        const items = JSON.parse(localStorage.getItem("listes"));
        localStorage.setItem("listes", JSON.stringify([...items, {id:lastItem.id+1, nom: this.nom, description : this.description}]))
      }
    },
  },
};

</script>

<style scoped>


fieldset{
    border: none;
    width: 100%;
}

fieldset dl{
    display: block;
    padding-bottom: 10px;
}

dt, dd{
    display: inline-block;
}

dt{
   font-weight: bold;
    width : 30%; 
}

dd input[type="text"]{
   width: 300px;
}

button{
  text-decoration: none;
  background-color: rgb(16, 172, 16);
  color : white;
  padding: 3px 6px;
  border: none;
}

button:hover{
     background-color: rgb(77, 224, 77);
}

</style>